Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationVerifier

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationVerifier

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationVerifier

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Verifier', and utility methods for working with them. specDomain: V10259 (C-0-D10901-V10259-cpt)

See Also:
  `CDAR2Package.getParticipationVerifier()`

Field Summary
`static int` | `AUTHEN` The 'AUTHEN' literal value.
`static ParticipationVerifier` | `AUTHEN_LITERAL` The 'AUTHEN' literal object.
`static int` | `LA` The 'LA' literal value.
`static ParticipationVerifier` | `LA_LITERAL` The 'LA' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Verifier' enumerators.
`static int` | `VRF` The 'VRF' literal value.
`static ParticipationVerifier` | `VRF_LITERAL` The 'VRF' literal object.

Method Summary
`static ParticipationVerifier` | `get(int value)` Returns the 'Participation Verifier' literal with the specified integer value.
`static ParticipationVerifier` | `get(java.lang.String literal)` Returns the 'Participation Verifier' literal with the specified literal value.
`static ParticipationVerifier` | `getByName(java.lang.String name)` Returns the 'Participation Verifier' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VRF

    public static final int VRF

  The 'VRF' literal value.

  If the meaning of 'VRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VRF_LITERAL`, Constant Field Values

### AUTHEN

    public static final int AUTHEN

  The 'AUTHEN' literal value.

  If the meaning of 'AUTHEN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUTHEN_LITERAL`, Constant Field Values

### LA

    public static final int LA

  The 'LA' literal value.

  If the meaning of 'LA' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LA_LITERAL`, Constant Field Values

### VRF_LITERAL

    public static final ParticipationVerifier VRF_LITERAL

  The 'VRF' literal object.

  See Also:
    `VRF`

### AUTHEN_LITERAL

    public static final ParticipationVerifier AUTHEN_LITERAL

  The 'AUTHEN' literal object.

  See Also:
    `AUTHEN`

### LA_LITERAL

    public static final ParticipationVerifier LA_LITERAL

  The 'LA' literal object.

  See Also:
    `LA`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Verifier' enumerators.

Method Detail

### get

    public static ParticipationVerifier get(java.lang.String literal)

  Returns the 'Participation Verifier' literal with the specified literal value.

### getByName

    public static ParticipationVerifier getByName(java.lang.String name)

  Returns the 'Participation Verifier' literal with the specified name.

### get

    public static ParticipationVerifier get(int value)

  Returns the 'Participation Verifier' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD